- hosts: nas
  name: Restore docker
  ignore_unreachable: false
  tasks:
  - name: Stop running containers
    ansible.builtin.shell: for i in `/share/ZFS530_DATA/.qpkg/container-station/bin/docker ps -a|egrep -e '{{ app }}.*'|awk '{print $NF}' `; do /share/ZFS530_DATA/.qpkg/container-station/bin/docker stop $i;done
  - name: Restore folder
    ansible.builtin.shell: 'rsync -arv root@192.168.77.189:/srv/dev-disk-by-uuid-02fbe97a-cd9a-4511-8bd5-21f8516353ee/docker_data/{{ resdate }}/{{ app }} /share/docker_data/'
    when: inventory_hostname in groups['nas']
  - name: Change permissions
    ansible.builtin.shell: chmod -R 700 /share/docker_data/rancher/rancher-data/k3s/server/
    when: app == "rancher"
  - name: Start running containers
    ansible.builtin.shell: for i in `/share/ZFS530_DATA/.qpkg/container-station/bin/docker ps -a|egrep -e '{{ app }}.*'|awk '{print $NF}' `; do /share/ZFS530_DATA/.qpkg/container-station/bin/docker start $i;done